Intereting Posts
Отладка php с помощью gdb Как узнать версию инструмента из командной строки на удаленном сервере? Mr Transmission, пожалуйста, выключите ПК после завершения всех загрузок! Не удается подключиться к Samba share из Nautilus Восстановление одного файла с помощью deja-dup без сканирования всего резервного архива Создайте псевдоним в desidred каталоге, который будет использоваться в терминале Fail2ban пропускает некоторые попытки ретрансляции Убийство нескольких процессов Есть ли утилита, похожая на «apt-файл», которая может искать исходные пакеты? Как установить мою папку «Музыка» по умолчанию? Unity для быстрого перемещения мыши (и фокуса) с одного экрана на другой экран Каков наилучший способ узнать, как использовать Ubuntu с терминалом? Как настроить ярлыки на Toshiba Satellite L650? Как установить Ubuntu-ограниченные дополнения без ttf-mscorefonts-installer Изменение значка в значке скайпа

Больше обновлений для Google Chrome | Ошибка apt-get update

Я использую 32-разрядную версию Google Chrome 48.0. Сегодня, когда я запустил Google Chrome, я получил следующее сообщение:

This computer will soon stop receiving Google Chrome updates because this Linux system will no longer be supported 

Я думал, что Ubuntu 14.04 поддерживается пять лет, что здесь происходит?

А на 64-битном Ubuntu я получаю сообщение об ошибке от Update Manager и apt-get update :

 Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file) Some index files failed to download. They have been ignored, or old ones used instead. 

Важная информация о том, как установить Chrome в Ubuntu 16.04 и 17.04 внизу!

Это сообщение действительно для 32-битных систем Linux, но, конечно, 64-битные системы будут поддерживаться. Когда у вас установлена ​​32-разрядная версия Ubuntu, Google Chrome не будет получать обновления, начиная с марта 2016 года – это уже было объявлено Google еще 1 декабря 2015 года.

Google: мы прекратим поддержку Google Chrome на 32-разрядном Linux, Ubuntu Precise (12.04) …

  • Google Chromium-dev Dirk Pranke анонсировал: Обновления поддержки Google Chrome Linux
  • О, МОЙ БОГ! UBUNTU! информация: Поддержка Axis в Google Chrome для всех 32-разрядных Linux-дистрибутивов
  • SOFTPEDIA: Google решает прекратить поддержку Google Chrome в 32-разрядных ОС Linux

Когда вы хотите получать обновления Chrome, вы должны перейти на 64-разрядную версию Ubuntu. Ubuntu 14.04.3 LTS и Ubuntu 15.10 рекомендуется загружать в 64-битном вкусе. Следующий выпуск Ubuntu LTS 16.04 Xenial Xerus выйдет в апреле 2016 года, установите его в 64 бит.

В период с марта по апрель вы можете использовать предварительно установленный веб-браузер Firefox . В качестве альтернативы вы можете установить Chrome-браузер или эпифаниальный браузер из репозиториев Ubuntu. Или вы можете установить 64-битную версию Ubuntu 14.04, но стоит ли этого? … Вам решать …

Пятилетняя поддержка выпусков Ubuntu LTS охватывает систему, включающую официальные репозитории. Google Chrome недоступен в официальных репозиториях Ubuntu, и именно по этой причине не существует пятилетней поддержки LTS для Chrome, предоставляемой разработчиками Canonical / Ubuntu.

Обновить информацию 2016-03-03: Google удалил 32-битную версию из своего репозитория!

Как вы можете видеть на веб-сайте Google Chrome , 32-битной версии Linux больше нет.

Запуск sudo apt-get update дает следующую ошибку:

 Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file) Some index files failed to download. They have been ignored, or old ones used instead. 

В качестве обходного решения установите хранилища специально для 64 бит:

 sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list" "/opt/google/chrome/cron/google-chrome" 

Ссылка: Исправить «Не удалось получить» репозиторий Google Chrome

Обновить информацию 2016-03-09: Google, похоже, исправил проблему в версии 49.0.2623.87!

/opt/google/chrome/cron/google-chrome теперь имеет соответствующие записи в архитектуре:

 # sources.list setting for google-chrome updates. REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" REPOCONFIGREGEX="deb (\[arch=[^]]*\bamd64\b[^]]*\][[:space:]]*)?https?://dl.google.com/linux/chrome/deb/ stable main" 

Файл /etc/apt/sources.list.d/google-chrome.list показывает эту соответствующую запись в архитектуре:

 ### THIS FILE IS AUTOMATICALLY CONFIGURED ### # You may comment out this entry, but any other modifications may be lost. deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main 

Обновить информацию 2016-04-21: Как установить браузер Google Chrome в Ubuntu 16.04

В настоящее время проблема заключается в установке Google Chrome при загрузке с веб-сайта Google. При нажатии на файл .deb открывается программное обеспечение Ubuntu, но при нажатии на Install ничего не происходит. Установите Google Chrome должным образом – откройте терминал и выполните следующие команды:

 echo "deb http://dl.google.com/linux/chrome/deb/ stable main" | sudo tee /etc/apt/sources.list.d/google-chrome.list wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add - sudo apt-get update sudo apt-get install google-chrome-stable 

При обновлении репозиториев возникает небольшая проблема с «слабой сигнатурой», но ее можно игнорировать:

 W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1) 

Обновить информацию 2017-04-13: Как установить браузер Google Chrome в Ubuntu 17.04

Команды, приведенные выше для Ubuntu 16.04, по-прежнему действительны и наилучшим рабочим решением для успешной установки Google Chrome. Примечание: вместо apt-get можно использовать команду apt .

Что происходит, так это то, что слово «поддерживается» в этом сообщении не означает, что вы думаете, что это значит. Когда Google говорит, что «эта система больше не будет поддерживаться», они говорят, что «мы перестанем предоставлять обновление Chrome для этой системы». С другой стороны, когда Canonical говорит, что «Ubuntu 14.04 будет поддерживаться в течение пяти лет», то, что они говорят, «пакеты в официальных репозиториях получат обновления на пять лет». Поскольку пакеты Chrome не находятся в официальных хранилищах Ubuntu, между ними нет противоречия.

EDIT: похоже, Google добавила правильные изменения в обновления. Таким образом, просто фиксируя строку репозитория, после этого запуск обновления должен быть хорошим с этого момента.


Google остановил 32-битную поддержку Chrome для Linux. Интересно, что на сайте загрузки Google Chrome они все еще имеют ссылку на 32-битную версию.


Чтобы исправить это, внесите следующие изменения:

(Необязательно). Сначала удалите Google Chrome и файл репозитория. Не беспокойтесь, ваши настройки должны быть в безопасности.

 sudo apt-get remove google-chrome-stable sudo rm /etc/apt/sources.list.d/google-chrome.list* 

Затем обновите систему:

 sudo apt-get update 

Затем исправьте файл репозитория Google Chrome следующими командами:

Добавить ключ: Только если это первая установка.

 wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add - 

Затем добавьте изменения в репозиторий:

 sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google-chrome.list' 

Если Google Chrome уже установлен:

 sudo apt-get update sudo apt-get upgrade 

Если он не установлен:

 sudo apt-get update sudo apt-get install google-chrome-stable 

Надеюсь это поможет!

Переключитесь на Chromium – он практически идентичен (он даже позволяет вам входить в Google так же, как Chrome), полностью открытый источник и предоставляемый репозиториями Ubuntu.

Для поддержки Flash с помощью Chromium следуйте этим инструкциям.

Прочтите https://groups.google.com/a/chromium.org/forum/#!topic/chromium-dev/FoE6sL-p6oU

Оттуда:

Чтобы обеспечить лучший опыт для наиболее используемых версий Linux, мы прекратим поддержку Google Chrome на 32-разрядных Linux, Ubuntu Precise (12.04) и Debian 7 (wheezy) в начале марта 2016 года. Chrome будет продолжать работать эти платформы, но больше не будут получать обновления и исправления безопасности.

Мы намерены продолжить поддержку 32-битных конфигураций сборки в Linux для поддержки построения Chromium. Если вы используете Precise, мы рекомендуем вам перейти на Trusty.

На 64-битном Ubuntu введите следующие команды:

 sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list" 

А также

 sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome" 

Пакет обновления: обновление sudo apt-get update

Согласно webupd8 В 64-битной ОС вам необходимо отредактировать следующие два файла:

 /etc/apt/sources.list.d/google-chrome.list 

Измените строку # 3:

 deb http://dl.google.com/linux/chrome/deb/ stable main 

чтобы:

 deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main 

Изменить /opt/google/chrome/cron/google-chrome

Измените REPOCONFIG и SSLREPOCONFIG:

 REPOCONFIG="deb http://dl.google.com/linux/chrome/deb/ stable main" SSLREPOCONFIG="deb https://dl.google.com/linux/chrome/deb/ stable main" 

к

 REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" SSLREPOCONFIG="deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main" 

Обновление 3 августа 2016 года :

Чтобы установить последнюю версию Google chrome 50 (64 бита) на Ubuntu 16.04 LTS через PPA с хорошей подписью:

Загрузите открытый ключ Google:

 wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add - 

Добавить репозиторий Google Chrome:

 sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google.list' 

Обновление репозитория:

 sudo apt update 

или

 sudo apt-get update 

Установите Google Chrome:

 sudo apt install google-chrome-stable 

или

 sudo apt-get install google-chrome-stable 

Согласно http://www.webupd8.org/2016/03/fix-failed-to-fetch-google-chrome_3.html , выполните следующие действия из командной строки:

 sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list" sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome" 

Обратите внимание, что для источника выше «этот файл изменяется в каждом обновлении Google Chrome, и похоже, что этого не происходит (изменение / opt / google / chrome / cron / google-chrome или / etc / default / google-chrome doesn это повлияет на это), пока Google не изменит это в своем пакете, вам нужно будет применить исправление выше после каждого обновления Google Chrome …. Обходным решением было бы сделать файл .list неизменным, поэтому он не может быть измененный с помощью любых обновлений Google Chrome, с помощью «sudo chattr + i /etc/apt/sources.list.d/google-chrome.list» (который можно изменить с помощью: «sudo chattr -i / etc / apt / sources. list.d / google-chrome.list "), но это не идеально, и вы должны изменить этот файл, как только Google исправит это с их конца».

Мне просто нужно было выполнить следующие 2 команды, и хром был обновлен.

 $ sudo apt-get update $ sudo apt-get install google-chrome-stable